Publish documentation

View as Markdown
Publishes a collection's documentation. This makes it publicly available to anyone with the link to the documentation. **Note:** - Your [Postman plan](https://www.postman.com/pricing/) impacts your use of these endpoints: - For **Free** and **Solo** users, you must have permissions to edit the collection. - If [API Governance and Security](https://learning.postman.com/docs/api-governance/configurable-rules/configurable-rules-overview/) is enabled for your [**Enterprise**](https://www.postman.com/pricing/) team, only users with the [Community Manager role](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles) can publish documentation. - Publishing is only supported for collections with HTTP requests. - You cannot publish a collection added to an API.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionIdstringRequiredformat: "uid"
The collection's unique ID.

Request

This endpoint expects an object.
customColorobjectRequired

The theme’s colors, in six digit hexcode. The values in this object must match the hexcode values of either the light or dark theme defined in the appearance object.

customizationobjectRequired
Information about the documentation's customization.
environmentUidstringOptionalformat: "uid"
The unique ID of the environment to publish with the documentation. The initial values of all variables are published with the documentation. Make certain they don't contain sensitive information such as passwords or tokens.
documentationLayoutenumOptionalDefaults to classic-single-column

The documentation’s default layout style:

  • classic-single-column — Displays sample code inline beneath each request.
  • classic-double-column — Displays sample code in a column next to the documentation.

Response

Successful Response
publishedboolean
If true, the documentation is published.
documentationLayoutstring
The documentation's default layout style.
customizationobject
Information about the documentation's customization.
publishDatedatetime
The date and time at which the documentation was published.
publisherIdstring
The user ID of the user that published the documentation.
environmentUidstringformat: "uid"
The unique ID of the environment published with the collection documentation.
customColorobject

The theme’s colors, in six digit hexcode. The values in this object must match the hexcode values of either the light or dark theme defined in the appearance object.

publicUrlstringformat: "url"
The public URL of the published documentation.
idstring
The published documentation's ID.
collectionIdstring
The collection's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error